// si_Functions.h - space invaders opengl

#ifndef _FUNCTIONS_H
#define _FUNCTIONS_H

//////////////////////////////////////////////////////////////////////////////////////
//
// FONCTIONS => Divers
//
//

// COLLISIONS (entre deux rectangles)
int		collision (float pg, float pd, float ph, float pb, float sg, float sd, float sh, float sb);

// COURBE GENERALE DE BEZIER
typedef struct
{
	float x;
	float y;
	float z;
}
point3f;
extern point3f control_points[6];
extern point3f pcamera;

point3f Bezier(point3f *p,int n,double mu);

// KEY_WAIT (ge le dai entre deux frappes de Touchs)
int		key_wait(int milliseconds, float & key_timer);

// HISCORE
int		get_hiscore();
void	set_hiscore(int score);

// CARTE GRAPHIQUE ACCLRE ?
bool IsCardAccelerated();

// HYPERLIENS
BOOL ConvertStaticToHyperlink(HWND hwndCtl);
BOOL ConvertStaticToHyperlink(HWND hwndParent, UINT uiCtlId);

void fontColor();

// SON LORS DE L'APPUI SUR UNE Touch D'OPTION
void key_sound();

// INTERNET AUDIO STREAMING => FADING IN (VOLUME UP)
void FmodStreamFadingIn(void* dummy);

// ARB MUTISAMPLE (DEBUT) ------------------------
#include "additional/glext/wglext.h"	//WGL extensions
#include "additional/glext/glext.h"		//GL extensions

//Globals
extern bool	arbMultisampleSupported;
extern int arbMultisampleFormat;

//If you don't want multisampling, set this to 0
#define CHECK_FOR_MULTISAMPLE 1

//to check for our sampling
bool InitMultisample(HINSTANCE hInstance,HWND hWnd,PIXELFORMATDESCRIPTOR pfd);
// ARB MULTISAMPLE (FIN) -------------------------

// ERROR HANDLING
void DisplayMsgBoxErrorAndExit(LPCTSTR szFile, int nLine, LPCTSTR lpMessage);
void DisplayLastErrorDebug(void);

#endif